//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%3DAEE65D0369.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%3DAEE65D0369.cm

//## begin module%3DAEE65D0369.cp preserve=no
//## end module%3DAEE65D0369.cp

//## Module: PlotIcounts%3DAEE65D0369; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotIcounts.h

#ifndef PLOTICOUNTS_H
#define PLOTICOUNTS_H 1

//## begin module%3DAEE65D0369.additionalIncludes preserve=no
//## end module%3DAEE65D0369.additionalIncludes

//## begin module%3DAEE65D0369.includes preserve=yes
//## end module%3DAEE65D0369.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%3DAEE65D0369.declarations preserve=no
//## end module%3DAEE65D0369.declarations

//## begin module%3DAEE65D0369.additionalDeclarations preserve=yes
class PlotGroup;
class PlotSettings;
struct StandardLabels;
//## end module%3DAEE65D0369.additionalDeclarations


//## begin PlotIcounts%3DAEE3EB0055.preface preserve=yes
//## end PlotIcounts%3DAEE3EB0055.preface

//## Class: PlotIcounts%3DAEE3EB0055
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotIcounts : public PlotCommand  //## Inherits: <unnamed>%4B2011300048
{
  //## begin PlotIcounts%3DAEE3EB0055.initialDeclarations preserve=yes
  //## end PlotIcounts%3DAEE3EB0055.initialDeclarations

  public:
    //## Constructors (generated)
      PlotIcounts();

    //## Destructor (generated)
      virtual ~PlotIcounts();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B2011A90050
      //	If not overridden, this does nothing.
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

    // Additional Public Declarations
      //## begin PlotIcounts%3DAEE3EB0055.public preserve=yes
      //## end PlotIcounts%3DAEE3EB0055.public

  protected:
    // Additional Protected Declarations
      //## begin PlotIcounts%3DAEE3EB0055.protected preserve=yes
      //## end PlotIcounts%3DAEE3EB0055.protected

  private:
    //## Constructors (generated)
      PlotIcounts(const PlotIcounts &right);

    //## Assignment Operation (generated)
      PlotIcounts & operator=(const PlotIcounts &right);


    //## Other Operations (specified)
      //## Operation: manipulate%4B2011A00238
      //	Once the raw data has been gathered into PlotGroup
      //	objects, this is the function that performs the various
      //	mathematical operations specific to each PlotCommand
      //	subclass.
      virtual void manipulate (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

      //## Operation: setRanges%4B2011A500D7
      //	Determines plot-time range settings based on current
      //	setplot settings and PlotGroup data.
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotIcounts%3DAEE3EB0055.private preserve=yes
      //## end PlotIcounts%3DAEE3EB0055.private

  private: //## implementation
    // Additional Implementation Declarations
      //## begin PlotIcounts%3DAEE3EB0055.implementation preserve=yes
      //## end PlotIcounts%3DAEE3EB0055.implementation

};

//## begin PlotIcounts%3DAEE3EB0055.postscript preserve=yes
//## end PlotIcounts%3DAEE3EB0055.postscript

// Class PlotIcounts 

//## begin module%3DAEE65D0369.epilog preserve=yes
//## end module%3DAEE65D0369.epilog


#endif
